package com.bsoft.api.mapper;

import com.bsoft.api.model.SerDisease;
import com.bsoft.api.model.respmodel.DiseaseLevel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SerDiseaseMapper {

    int deleteByPrimaryKey(Long id);

    int insert(SerDisease record);

    SerDisease selectByPrimaryKey(Long id);

    SerDisease selectByCode(@Param("code") String code,@Param("date") String date,@Param("docCode") String docCode,
                            @Param("deptCode") String deptCode);

    List<SerDisease> selectAll();

    List<SerDisease> selectByMdcName(@Param("date") String date,@Param("mdcName") String mdcName,
                                     @Param("docCode") String docCode,@Param("deptCode") String deptCode);

    List<DiseaseLevel> selectByLevel(@Param("date") String date,@Param("level") Integer level,
                                     @Param("docCode") String docCode,@Param("deptCode") String deptCode,
                                     @Param("orgId") Long orgId,@Param("userId") Long userId);

    List<DiseaseLevel> selectByParentId(@Param("date") String date,@Param("parentId") Integer parentId,
                                        @Param("docCode") String docCode,@Param("deptCode") String deptCode);

    DiseaseLevel selectParentById(@Param("date") String date,@Param("diseaseId") Integer diseaseId);

    List<DiseaseLevel> selectSonById(@Param("date") String date,@Param("diseaseId") Integer diseaseId,
                                     @Param("docCode") String docCode,@Param("deptCode") String deptCode);

    int updateByPrimaryKey(SerDisease record);

}
