package com.bsoft.api.model;

import com.bsoft.api.model.reqmodel.BudgetValue;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class SerProjValue {

    public SerProjValue() {
    }

    public SerProjValue(BudgetValue request) {
        this.projId = request.getProjId();
        this.qnz = request.getQnz();
        this.wqqs = request.getWqqs();
        this.ls = request.getLs();
        this.mb = request.getMb();
        this.csysz = request.getCsysz();
        this.csyszTb = request.getCsyszTb();
        this.ysz = request.getYsz();
        this.yszTb = request.getYszTb();
        this.sz = request.getSz();
        this.zxpl = request.getZxpl();
        this.sort = request.getSort();
        this.qnzUnit = request.getQnzUnit();
        this.csyszUnit = request.getCsyszUnit();
        this.yszUnit = request.getYszUnit();
        this.szUnit = request.getSzUnit();
    }

    private BigDecimal id;

    private Date createDate;

    private BigDecimal createUserid;

    private BigDecimal state;

    private BigDecimal projId;

    private BigDecimal qnz;

    private BigDecimal wqqs;

    private BigDecimal ls;

    private BigDecimal mb;

    private BigDecimal csysz;

    private BigDecimal csyszTb;

    private BigDecimal ysz;

    private BigDecimal yszTb;

    private BigDecimal sz;

    private BigDecimal zxpl;

    private BigDecimal date;

    private String deptCode;

    private BigDecimal sort;

    private String version;

    private String qnzUnit;

    private String csyszUnit;

    private String yszUnit;

    private String szUnit;

    private String hosCode;

}